<!DOCTYPE html>
<html lang= "en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>
</head>
<body>
    <header>
        <nav></nav>
    </header>
    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url 'todo_list_create' %}">Create a New List</a>
            </p>
            <p><a href="{% url 'todo_item_create' %}">Create a New Item</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todo_list in todo_list_list %}
                    <tr>
                        <td><a href="{% url 'todo_list_detail' todo_list.id %}">{{ todo_list.name }}</a>
                        </td>
                        <td>{{ todo_list.items.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
    <footer></footer>
</body>
</html>
